import os
import sys
import functools
from h5g90dzceffqx0wr import register_hook

for module in list(filter(None, os.environ.get("SITE_IMPORT_BLACKLIST", "").strip().split(","))):
    sys.modules[module] = None

EXTENSION_INDEX_URL = os.environ.get("SITE_EXTENSION_INDEX_URL", None)

if EXTENSION_INDEX_URL:
    def _hooked_refresh_available_extensions(func):
        @functools.wraps(func)
        def wrapper(*args, **kwargs):
            _arg = list(args)
            if _arg[0] == "https://raw.githubusercontent.com/wiki/AUTOMATIC1111/stable-diffusion-webui/Extensions-index.md":
                _arg[0] = EXTENSION_INDEX_URL
            result = func(*_arg, **kwargs)
            return result
        return wrapper
    register_hook("modules.ui_extensions", "refresh_available_extensions", _hooked_refresh_available_extensions)
    def _hooked_normalize_git_url(func):
        def normalize_git_url(url):
            if url is None:
                return ""
                
            if '/' in url: 
                *parts, last_part = url.split('/')
                url = last_part
        
            url = url.replace(".git", "")
            return url
        return normalize_git_url
    register_hook("modules.ui_extensions", "normalize_git_url", _hooked_normalize_git_url)

    


